# Generated from customize-rails-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name customize-rails

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Customize.css
License: MIT
URL: http://github.com/activebridge/customize.css
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
customize.css provides you the base styling for your
application and gives you ability to easily customize the look of your app.
The main advantage of this lib that you don't have to overwrite styles you can
just set it.
Another advantage is that all inputs, checkboxes, radio buttons, select boxes
have the same look and behaviour in all browsers.
Also you can change the look of select or checkbox by setting several `sass`
maps.
This is the engine that supports themes so developers are able to share themes
between each other.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.2-1
- Initial package
